Bug 589793 - [abrt] crash in system-config-printer-1.2.0-4.fc13: system-config-printer.py:3601:checkNPName:AttributeError: GUI instance has no attribute 'printers'
[abrt] crash in system-config-printer-1.2.0-4.fc13: system-config-printer.py:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:65e6de59
: Reopened
: 591802 595945 618815 619095 632449 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 17:42 EDT by Edgar Rodolfo
Modified: 2011-06-27 12:09 EDT (History)
19 users (show)

See Also:
Fixed In Version: system-config-printer-1.2.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (896 bytes, text/plain)
2010-05-06 17:42 EDT, Edgar Rodolfo
no flags Details

  None (edit)
Description Edgar Rodolfo 2010-05-06 17:42:21 EDT
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py
comment: lexmarkx1185, lemark 110, fedora 13, failed
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.33.1-24.fc13.i686.PAE
package: system-config-printer-1.2.0-4.fc13
reason: system-config-printer.py:3601:checkNPName:AttributeError: GUI instance has no attribute 'printers'
release: Fedora release 13 (Goddard)

backtrace
-----
system-config-printer.py:3601:checkNPName:AttributeError: GUI instance has no attribute 'printers'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 6265, in on_tvNPModels_cursor_changed
    self.on_tvNPDrivers_cursor_changed(self.tvNPDrivers)
  File "/usr/share/system-config-printer/system-config-printer.py", line 6268, in on_tvNPDrivers_cursor_changed
    self.setNPButtons()
  File "/usr/share/system-config-printer/system-config-printer.py", line 4649, in setNPButtons
    self.mainapp.checkNPName(self.entNPName.get_text()))
  File "/usr/share/system-config-printer/system-config-printer.py", line 3601, in checkNPName
    for printer in self.printers.values():
AttributeError: GUI instance has no attribute 'printers'

Local variables in innermost frame:
self: <__main__.GUI instance at 0x9d0c9cc>
name: u'lexmark--x1100-series'
Comment 1 Edgar Rodolfo 2010-05-06 17:42:24 EDT
Created attachment 412178 [details]
File: backtrace
Comment 2 Tim Waugh 2010-05-07 07:48:53 EDT
I haven't managed to reproduce this, but as a safety measure I'll make sure GUI.printers is initialised in the constructor.
Comment 3 Fedora Update System 2010-05-07 11:54:55 EDT
system-config-printer-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 4 Fedora Update System 2010-05-08 12:10:11 EDT
system-config-printer-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 5 Jiri Popelka 2010-05-13 04:57:40 EDT
*** Bug 591802 has been marked as a duplicate of this bug. ***
Comment 6 Jiri Popelka 2010-05-13 04:58:19 EDT
The initialisation of GUI.printers didn't help (bug #591802).
Comment 7 Tim Waugh 2010-05-13 07:17:06 EDT
Niko: do you remember what you did to get this to happen?  Can you do it again?
Comment 10 Robert Clayton 2010-05-13 20:42:32 EDT
Package: system-config-printer-1.2.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just started by cmd line with no options
Comment 11 Tim Waugh 2010-05-19 10:47:54 EDT
(In reply to comment #10)
> Just started by cmd line with no options    

...and what did you do after that?
Comment 12 Jiri Popelka 2010-05-26 05:05:43 EDT
*** Bug 595945 has been marked as a duplicate of this bug. ***
Comment 13 Fedora Update System 2010-06-03 14:09:22 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-4.fc13
Comment 14 Fedora Update System 2010-06-04 14:53:27 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Tim Waugh 2010-06-07 10:36:04 EDT
Re-opening as the intended fix did not work (see comment #6).
Comment 16 FAZ 2010-06-14 14:02:44 EDT
Package: system-config-printer-1.2.2-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. just tried to install the package
2. im in Fedora 13 x64 ...
3.
Comment 17 Len 2010-06-28 01:08:47 EDT
Package: system-config-printer-1.2.2-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.installing mcf8840D printer and printing test page over network
2.
3.
Comment 18 Edgar Rodolfo 2010-06-28 05:21:12 EDT
Package: system-config-printer-1.2.1-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.connecting printer lexmark 1100 series failed
2.
3.


Comment
-----
printer lexmark 1100 isn't in fedora 13, isn't exit drivers, help me!!...
Comment 19 Johnny 2010-07-04 13:42:53 EDT
Package: system-config-printer-1.2.1-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install the printer across the network via Jet direct port 9100 however the printer is over a wireless repeater bridge.
2.
3.
Comment 20 Jiri Popelka 2010-07-29 06:31:26 EDT
*** Bug 619095 has been marked as a duplicate of this bug. ***
Comment 21 Jiri Popelka 2010-07-29 06:36:05 EDT
*** Bug 618815 has been marked as a duplicate of this bug. ***
Comment 22 Jiri Popelka 2010-09-13 08:20:13 EDT
*** Bug 632449 has been marked as a duplicate of this bug. ***
Comment 23 Michael Ploujnikov 2010-09-17 22:17:43 EDT
Package: system-config-printer-1.2.3-3.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just trying to setup my printers...
Comment 24 Jiri Popelka 2011-03-01 07:09:52 EST
*** Bug 680683 has been marked as a duplicate of this bug. ***
Comment 25 John Reiser 2011-03-01 11:10:40 EST
Package: system-config-printer-1.3.1-1.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


How to reproduce
-----
1. Try to configure network printer, JetDirect
2. Modify short name and location
3. click Apply, which gives visual feedback of click but does not advance.  Click Apply several times, still does not advance.  Go Back and Forward, still does not advance.  Cancel.  Still in first dialog, try again.  Crash.
Comment 26 Bug Zapper 2011-06-02 10:23:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 27 Bug Zapper 2011-06-27 12:09:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.